Retry Access Bundle provisioning in bulk
post
/access-governance/access-controls/20250331/accessBundles/retry
Retry Access Bundle provisioning in bulk.
Request
Header Parameters
-
opc-request-id: string
The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
Details used to bulk retry access bundles.
Root Schema : RetryAccessBundleBulkDetails
Type:
objectThe information used to bulk retry Access Bundles.
Show Source
-
excludedItems:
array excludedItems
List of (globalIdentityId, accessBundleId) pairs to exclude.
-
filterCriteria:
object AdvancedFilter
Advanced Filter object.
-
keywordContains:
array keywordContains
The list of keyword search strings.
-
retryItems:
array retryItems
List of (globalIdentityId, accessBundleId) pairs to retry.
-
targetId(required):
string
Target Identifier that the Access Bundle is associated with.
Nested Schema : excludedItems
Type:
arrayList of (globalIdentityId, accessBundleId) pairs to exclude.
Show Source
-
Array of:
object AccessBundleRetryItem
Represents a pair of globalIdentityId and accessBundleId used for retry operations.
Nested Schema : AdvancedFilter
Type:
objectAdvanced Filter object.
Show Source
-
bindingOperator:
string
Allowed Values:
[ "ALL", "ANY" ]Binding operator. -
conditions:
array conditions
Filter condition.
Nested Schema : retryItems
Type:
arrayList of (globalIdentityId, accessBundleId) pairs to retry.
Show Source
-
Array of:
object AccessBundleRetryItem
Represents a pair of globalIdentityId and accessBundleId used for retry operations.
Nested Schema : AccessBundleRetryItem
Type:
objectRepresents a pair of globalIdentityId and accessBundleId used for retry operations.
Show Source
-
accessBundleId(required):
string
Access Bundle ID.
-
globalIdentityId(required):
string
Global Identity ID.
Nested Schema : conditions
Type:
arrayFilter condition.
Show Source
-
Array of:
object Conditions
Filter condition.
Nested Schema : Conditions
Type:
objectFilter condition.
Show Source
-
name:
string
Attribute Name.
-
operator:
string
Allowed Values:
[ "EQ", "NE", "GT", "LT", "GTE", "LTE", "IN", "NIN", "CON", "NCON", "BW", "NBW", "EW", "NEW", "BTW", "BEFORE", "AFTER", "TILL", "FROM" ]Operator. -
type:
string
Attribute Data Type.
-
value:
array value
Attribute Value.
Response
Supported Media Types
- application/json
200 Response
Bulk Access bundle retries was successfully done.
Headers
-
etag: string
For optimistic concurrency control. See `if-match`.
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : RetryAccessBundlesBulkResults
Type:
objectThe result of the RetryBulkAccessBundleDetails operation.
Show Source
-
message:
string
Message of the operation.
-
result(required):
string
Allowed Values:
[ "RETRY_IN_PROGRESS", "RETRY_FAILED" ]The result of the bulk retry operation.
400 Response
Bad Request
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
401 Response
Unauthorized
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
404 Response
Not Found
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
409 Response
Conflict
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
429 Response
Too Many Requests
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
500 Response
Internal Server Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Default Response
Unknown Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Examples
The following example shows how to retry failed provisioning of access bundles in bulk for identities.
cURL Request Example
curl -i -X POST \
-H "Authorization:Bearer <your-access-token>" \
-H "Content-Type:application/json" \
-d \
'{
"targetId": "98360b08-c107-4fc4-93d3-xxxa1c",
"retryItems": [
{
"globalIdentityId": "globalId.ICF.224d20ff-5187-4301-a47bxxxxx132df95053b2879a66e61",
"accessBundleId": "b0610b9f-3883-45a1-9906-54xxxx"
}
],
"excludedItems": []
}'\
'<${service-instance-url}/access-governance/access-controls/${versionId}/accessBundles/retry' >'
Example Request Payload
{
"targetId": "98360b08-c107-4fc4-93d3-xxxa1c",
"retryItems": [
{
"globalIdentityId": "globalId.ICF.224d20ff-5187-4301-a47bxxxxx132df95053b2879a66e61",
"accessBundleId": "b0610b9f-3883-45a1-9906-54xxxx"
}
],
"excludedItems": []
}Example of the Response Code
You'll receive 200 OK response along with the following response body:
{
"message": "Access bundle retry is in progress. Updates will be available shortly.",
"result": "RETRY_IN_PROGRESS"
}